offer_card_alt:
  namespace: "Molecules/TM - Cards"
  use: "@molecules/tm-cards/offer-card-alt/offer-card-alt.twig"
  label: Offer Card Alt
  description: Offer Card Alt
  libraries:
    - offer_card_alt_lib:
        css:
          component:
            ../styles/offer-card-alt.css: { weight: 10 }

  fields:
    oid:
      type: text
      label: Offer ID
      preview: 123
    img_url:
      type: text
      label: The image url
      description: The image url
      preview: "https://picsum.photos/560/320?rnd=a1"
    img_alt:
      type: text
      label: The alt text
      description: The alt text
      preview: "Logo of the Your County Pass"
    title:
      type: text
      label: The title
      description: The title
      preview: "Your County Pass"
    content:
      type: text
      label: Content
      description: Content
      preview:
        faker: lorem.paragraphs
    badge_text_top:
      type: text
      label: The offer text
      description: The offer text
      preview: "From just"
    badge_text_bottom:
      type: text
      label: The admission price
      description: The admission price
      preview: "£12.99"
    card_link:
      type: text
      label: The link URL
      description: The link URL
      preview: "www.train-operator.co.uk"
    location:
      type: text
      label: The link URL
      description: The link URL
      preview: "Waltham Cross"
    tags:
      type: object
      label: The filter links
      description: The filter links
      preview:
        - name: "Food, Drink & Shopping"
          url: "somewhere"
        - name: "Sports & Recreation"
          url: "somewhere"
        - name: "Historical Houses, Gardens & Parks"
          url: "somewhere"
    badge_graphic_image:
      type: object
      label: Badge image
      description: "Use 'images/offers_image.png' for url"
      preview:
        url: ''
        alt: 'Kids go free'

  settings:
    show_itinerary:
      type: boolean
      label: Show itinerary
      preview: true
      default_value: true
